@echo off
rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
rem
rem     GeoPublish Assembly Batch file
rem
rem     Purpose: Extracts downloaded self-extracting files into their
rem              original forms and copies files to floppy disks.
rem
rem     Copyright 1994, Geoworks
rem
rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

rem     Check user entered parameters
if %1.==. goto instructions
if %1.==a:. goto backup
if %1.==A:. goto backup
if %1.==b:. goto backup
if %1.==B:. goto backup
if %1.==HD. goto hd_install
if %1.==Hd. goto hd_install
if %1.==hD. goto hd_install
if %1.==hd. goto hd_install
goto wrong_parameter

:instructions
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³          G E O P U B L I S H    I N S T A L L   A S S E M B L Y           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³ This program can extract the downloaded files into their original form    ³
echo ³ and copy those files to floppy disks or extract them to the hard drive.   ³
echo ³ We *highly* recommend using floppy diskettes so you have a backup of the  ³
echo ³ program files. GeoPublisher can be installed from floppy diskettes as     ³
echo ³ many times as you wish.                                                   ³
echo ³                                                                           ³
echo ³ TO PROCEED WITH THE INSTALL PROCESS:                                      ³
echo ³ It will be necessary to restart this program with an addional parameter.  ³
echo ³ Next time at the DOS prompt, type ASSEMBLE and follow it with the letter  ³
echo ³ of the floppy drive to which you wish to copy.   For example, to          ³
echo ³ copy to drive B, you would type:   ASSEMBLE B:                            ³
echo ³                                                                           ³
echo ³ YOU WILL NEED FIVE (5) 720k disks (or you may use higher capacity disks)  ³
echo ³ for this program to copy the necessary file onto.  Those disks must be    ³
echo ³ empty, formatted and labeled with the DOS LABEL command:  e.g.            ³
echo ³                      LABEL B:PUBLISH_n (n = disk number 1 - 5)            ³
echo ³ ***NOTE***                                                                ³
echo ³ TO INSTALL FROM YOUR HARD DRIVE:                                          ³
echo ³                                     type   ASSEMBLE HD                    ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
pause
goto end

:backup
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³          G E O P U B L I S H    I N S T A L L   A S S E M B L Y           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³ FLOPPY BACKUP INSTRUCTIONS:                                               ³
echo ³                                                                           ³
echo ³ You will need 5 blank, formatted 720K, 1.44m (3.5") or 1.2Mb (5.25")      ³
echo ³ disks to copy the necessary files.                                        ³
echo ³                                                                           ³
echo ³ Place the 1st disk in drive %1 and . . .                                  ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
pause
set step=001
publish1 %1
goto errortest
:001
Label %1PUBLISH_1
echo.
echo   Label the diskette outside as: GeoPublish -- Disk 1
echo   Place the 2nd disk in drive %1 and . . .
pause
set step=002
publish2 %1
goto errortest
:002
Label %1PUBLISH_2
echo.
echo   Label the diskette outside as: GeoPublish -- Disk 2
echo   Place the 3rd disk in drive %1 and . . .
pause
set step=003
publish3 %1
goto errortest
:003
Label %1PUBLISH_3
echo.
echo   Label the diskette outside as: GeoPublish -- Disk 3
echo   Place the 4th disk in drive %1 and . . .
pause
set step=004
publish4 %1
goto errortest
:004
Label %1PUBLISH_4
echo.
echo   Label the diskette outside as: GeoPublish -- Disk 4
echo   Place the 5th disk in drive %1 and . . .
pause
set step=005
publish5 %1
goto errortest
:005
Label %1PUBLISH_5
set step=
echo.
echo   Done! Label this last diskette outside as: GeoPublish -- Disk 5
echo   Take the last disk out of drive %1 and . . .
pause
goto run_install

:hd_install
echo.
echo   Extracting files to current directory. This may take a few minutes
echo   on slower machines...
echo.
set step=011
publish1
goto errortest
:011
set step=012
publish2
goto errortest
:012
set step=013
publish3
goto errortest
:013
set step=014
publish4
goto errortest
:014
set step=015
publish5
goto errortest
:015
set step=016
goto delete_temp_files
:016
set step=
echo.
install
goto END

:errortest
if errorlevel 1 goto err_msg
goto %step%

:wrong_parameter
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³          G E O P U B L I S H    I N S T A L L   A S S E M B L Y           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³ The parameter you used, %1, is not A: or B:. This batch file will only    ³
echo ³ copy files to floppy drives A: or B:.  If your floppy drive has another   ³
echo ³ drive letter, or if you wish to back the files up to a hard drive, please ³
echo ³ do so after you exit this batch file.                                     ³
echo ³                                                                           ³
echo ³ The following files are self-extracting:                                  ³
echo ³                                                                           ³
echo ³ PUBLISH1.EXE                                                              ³
echo ³ PUBLISH2.EXE                                                              ³
echo ³ PUBLISH3.EXE                                                              ³
echo ³ PUBLISH4.EXE                                                              ³
echo ³ PUBLISH5.EXE                                                              ³
echo ³                                                                           ³
echo ³ Those files will need to extracted to their own individual floppy disks   ³
echo ³ before the actual installation can be accomplished.  Five 720k (or bigger)³
echo ³ floppy disks are needed labeled disk 1 - disk 5.                          ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
pause
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³          G E O P U B L I S H    I N S T A L L   A S S E M B L Y           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³                                                         Continued:        ³
echo ³ Put disk 1 into its floppy drive and from the directory with the self-    ³
echo ³ extracting files type PUBLISH1 [drive]: ("drive" is the letter).  Then    ³
echo ³ do the same with disk 2 and PUBLISH2, and etc.                            ³
echo ³                                                                           ³
echo ³ For Example:   PUBLISH3 A:                                                ³
echo ³                                                                           ³
echo ³ When you are actully ready to install GeoPublish to your hard disk, put   ³
echo ³ disk 1 back into its floppy drive and type [drive]:INSTALL                ³
echo ³                                                                           ³
echo ³ For Example:   A:INSTALL                                                  ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
goto end

:run_install
echo.
set step=017
goto delete_temp_files
:017
set step=
echo.
echo   Re-insert disk 1 into drive %1 . . .
echo.
pause
echo.
echo   Running the install program . . .
%1INSTALL
goto END

:delete_temp_files
call TEMPDEL
goto %step%

:err_msg
echo.
echo.
echo The file extraction process had errors in the above named file.
echo You may need to download the file again.
echo.
echo.

:end
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³ Thank you for downloading GeoPublish. Be sure and remember to register    ³
echo ³ this product with Geoworks!                                               ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo.
